/**
 * Design elements for default Template
 *
 * @author Andreas Gohr <andi@splitbrain.org>
 * @author Anika Henke <anika@selfthinker.org>
 */

/* -------------- general elements --------------- */

* { padding: 0; margin: 0; }

body {
  font: normal 80% Arial, sans-serif;
  background-color: #fff;
  background-image: url(images/fond.png);
  background-repeat: repeat-x;
  background-position: top center;
  margin-left: 14px;
  margin-right: 14px;
  color: __text__;
}

/* the document */
div.dokuwiki div.page {
  margin: 4px 2em 0 1em;
  text-align: justify;
}

div.dokuwiki table {
  font-size: 100%;
}

div.dokuwiki tr,
div.dokuwiki td,
div.dokuwiki th {
}

div.dokuwiki img {
  border: 0;
}

div.dokuwiki p,
div.dokuwiki blockquote,
div.dokuwiki table,
div.dokuwiki pre {
  margin: 0 0 1.0em 0;
}

div.dokuwiki hr {
  border: 0px;
  border-top: 1px solid __border__;
  text-align: center;
  height: 0px;
}

div.dokuwiki div.nothing {
  text-align: center;
  margin: 2em;
}

/* ---------------- forms ------------------------ */

div.dokuwiki form {
  border: none;
  display: inline;
}

div.dokuwiki label.block {
  display: block;
  text-align: right;
  font-weight: bold;
}

div.dokuwiki label.simple {
  display: block;
  text-align: left;
  font-weight: normal;
}

div.dokuwiki label.block input.edit {
  width: 50%;
}

div.dokuwiki fieldset {
  width: 300px;
  text-align: center;
  border: 1px solid __border__;
  padding: 0.5em;
  margin: auto;
}

div.dokuwiki textarea.edit {
  font-family: monospace;
  font-size: 14px;
  color: __text__;
  background-color: __background__;
  border: 1px solid __border__;
  padding: 0.3em 0 0 0.3em;
  /* should just be "width: 100%", but IE8 doesn't like it, see FS#1910 + FS#1667 */
  width: 700px;
  min-width: 100%;
  max-width: 100%;
}

/* nice alphatransparency background except for IE <7 */
html>body div.dokuwiki textarea.edit {
  background:  __background__ url(images/inputshadow.png) repeat-x top;
}

div.dokuwiki input.edit,
div.dokuwiki select.edit {
  font-size: 100%;
  border: 1px solid __border__;
  color: __text__;
  background-color: __background__;
  vertical-align: middle;
  margin: 1px;
  padding: 0.20em 0.3em;
  display: inline;
}

/* nice alphatransparency background except for IE <7 */
html>body div.dokuwiki input.edit,
html>body div.dokuwiki select.edit {
  background:  __background__ url(images/inputshadow.png) repeat-x top;
}

div.dokuwiki select.edit {
  padding: 0.1em 0;
}

div.dokuwiki input.missing {
  font-size: 100%;
  border: 1px solid __border__;
  color: __text__;
  background-color: #ffcccc;
  vertical-align: middle;
  margin: 1px;
  padding: 0.20em 0.3em;
  display: inline;
}

/* disabled style - not understood by IE */
div.dokuwiki textarea.edit[disabled],
div.dokuwiki textarea.edit[readonly],
div.dokuwiki input.edit[disabled],
div.dokuwiki input.edit[readonly],
div.dokuwiki input.button[disabled],
div.dokuwiki select.edit[disabled] {
  background-color: __background_neu__!important;
  color: __text_neu__!important;
}

/* edit form */
div.dokuwiki div.toolbar,
div.dokuwiki div#wiki__editbar {
   margin: 2px 0;
   text-align: left;
}
div.dokuwiki div#size__ctl {
   float: right;
   width: 60px;
   height: 2.7em;
}
div.dokuwiki #size__ctl img {
   cursor: pointer;
}
div.dokuwiki div#wiki__editbar div.editButtons {
   float: left;
   padding: 0 1.0em 0.7em 0;
}
div.dokuwiki div#wiki__editbar div.summary {
   float: left;
}
div.dokuwiki .nowrap {
   white-space: nowrap;
}
div.dokuwiki div#draft__status {
  float: right;
  color: __text_alt__;
}

div.dokuwiki div.license {
  padding: 0.5em;
  font-size: 90%;
  text-align: center;
}

div.dokuwiki form#dw__editform div.license {
  clear: left;
  font-size: 90%;
}

/* --------- buttons ------------------- */

div.dokuwiki input.button,
div.dokuwiki button.button {
  border: 1px solid __border__;
  color: __text__;
  background-color: __background__;
  vertical-align: middle;
  text-decoration: none;
  font-size: 80%;
  font-weight: bold;
  font: normal Arial;
  cursor: pointer;
  margin: 1px;
  padding: 0.125em 0.4em;
}

/* nice alphatransparency background except for IE <7 */
html>body div.dokuwiki input.button,
html>body div.dokuwiki button.button {
  background:  __background__ url(images/buttonshadow.png) repeat-x bottom;
}

* html div.dokuwiki input.button,
* html div.dokuwiki button.button {
  height: 1.8em;
}

div.dokuwiki div.secedit input.button {
  border: 1px solid __border__;
  color: __text__;
  background-color: __background__;
  vertical-align: middle;
  text-decoration: none;
  margin: 0;
  padding: 0;
  font-size: 10px;
  cursor: pointer;
  float: right;
  display: inline;
}

/* ----------- page navigator ------------- */

div.dokuwiki div.pagenav {
    margin: 1em 0 0 0;
}

div.dokuwiki div.pagenav-prev {
    text-align: right;
    float: left;
    width: 49%
}

div.dokuwiki div.pagenav-next {
    text-align: left;
    float: right;
    width: 49%
}

/* --------------- Links ------------------ */

div.dokuwiki a:link,
div.dokuwiki a:visited {
  color: #005ea8;
  text-decoration: none;
}
div.dokuwiki a:hover,
div.dokuwiki a:active {
  color: __text__;
  text-decoration: underline;
}

div.dokuwiki h1 a,
div.dokuwiki h2 a,
div.dokuwiki h3 a,
div.dokuwiki h4 a,
div.dokuwiki h5 a,
div.dokuwiki a.nolink {
  color: #005ea8;
  text-decoration: none !important;
}

/* external link */
div.dokuwiki a.urlextern {
  background: transparent url(images/link_icon.gif) 0px 1px no-repeat;
  padding: 1px 0px 1px 16px;
}

/* windows share */
div.dokuwiki a.windows {
  background: transparent url(images/windows.gif) 0px 1px no-repeat;
  padding: 1px 0px 1px 16px;
}

/* interwiki link (icon are set by dokuwiki) */
div.dokuwiki a.interwiki {
}

/* link to some embedded media */
div.dokuwiki a.media {
}

div.dokuwiki a.urlextern:link,
div.dokuwiki a.windows:link,
div.dokuwiki a.interwiki:link {
  color: __extern__;
}

div.dokuwiki a.urlextern:visited,
div.dokuwiki a.windows:visited,
div.dokuwiki a.interwiki:visited {
  color: purple;
}
div.dokuwiki a.urlextern:hover,
div.dokuwiki a.urlextern:active,
div.dokuwiki a.windows:hover,
div.dokuwiki a.windows:active,
div.dokuwiki a.interwiki:hover,
div.dokuwiki a.interwiki:active {
  color: __text__;
}

/* email link */
div.dokuwiki a.mail {
  background: transparent url(images/mail_icon.gif) 0px 1px no-repeat;
  padding: 1px 0px 1px 16px;
}

/* existing wikipage */
div.dokuwiki a.wikilink1 {
  color: #005ea8; !important;
}

/* not existing wikipage */
div.dokuwiki a.wikilink2 {
  color: __missing__ !important;
  text-decoration: none !important;
  border-bottom: dashed 1px __missing__ !important;
}

/* ------------- Page elements ----------------- */

div.dokuwiki div.preview {
  background-color: __background_neu__;
  margin: 0 0 0 2em;
  padding: 4px;
  border: 1px dashed __text__;
}

div.dokuwiki div.breadcrumbs {
  background-color: __background_neu__;
  color: __text_neu__;
  font-size: 80%;
  padding: 0 0 0 4px;
}

div.dokuwiki span.user {
  color: __text_other__;
  font-size: 90%;
}

div.dokuwiki li.minor {
  color: __text_neu__;
  font-style: italic;
}

/* embedded images */
div.dokuwiki img.media {
  margin: 3px;
}

div.dokuwiki img.medialeft {
  border: 0;
  float: left;
  margin: 0 1.5em 0 0;
}

div.dokuwiki img.mediaright {
  border: 0;
  float: right;
  margin: 0 0 0 1.5em;
}

div.dokuwiki img.mediacenter {
  border: 0;
  display: block;
  margin: 0 auto;
}

/* smileys */
div.dokuwiki img.middle {
  vertical-align: middle;
}

div.dokuwiki acronym {
  cursor: help;
  border-bottom: 1px dotted __text__;
}

/* general headline setup */
div.dokuwiki h1,
div.dokuwiki h2,
div.dokuwiki h3,
div.dokuwiki h4,
div.dokuwiki h5 {
    color: __text__;
    background-color: inherit;
    font-size: 100%;
    font-weight: normal;
    margin: 0 0 1em 0;
    padding: 0.5em 0 0 0;
    border-bottom: 1px solid __border__;
    clear: left;
}

/* special headlines */
div.dokuwiki h1 {font-size: 160%; margin-left: 0px; font-weight: bold;}
div.dokuwiki h2 {font-size: 150%; margin-left: 20px;font-weight: bold;}
div.dokuwiki h3 {font-size: 140%; margin-left: 40px; border-bottom: none; font-weight: normal;}
div.dokuwiki h4 {font-size: 120%; margin-left: 60px; border-bottom: none; font-weight: normal;}
div.dokuwiki h5 {font-size: 100%; margin-left: 80px; border-bottom: none; font-weight: normal;}

/* indent different sections */
div.dokuwiki div.level1 { margin-left: 3px; }
div.dokuwiki div.level2 { margin-left: 23px; }
div.dokuwiki div.level3 { margin-left: 43px; }
div.dokuwiki div.level4 { margin-left: 63px; }
div.dokuwiki div.level5 { margin-left: 83px; }

/* deleted text */
div.dokuwiki del {
      color: #ccc;
}

/* unordered lists */
div.dokuwiki ul {
  line-height: 1.5em;
  list-style-type: square;
  list-style-image: none;
  margin: 0 0 1em 3.5em;
  color: __text_alt__;
}

/* ordered lists */
div.dokuwiki ol {
  line-height: 1.5em;
  list-style-image: none;
  margin: 0 0 1em 3.5em;
  color: __text_alt__;
  font-weight: bold;
}

/* no bottom gap in between and smaller left margin for nested lists */
div.dokuwiki li ul,
div.dokuwiki li ol {
  margin: 0 0 0 1.5em;
}

/* the list items overriding the ul/ol definition */
div.dokuwiki .li {
  color: __text__;
  font-weight: normal;
}

div.dokuwiki ol { list-style-type: decimal; }
div.dokuwiki ol ol { list-style-type: upper-roman; }
div.dokuwiki ol ol ol { list-style-type: lower-alpha; }
div.dokuwiki ol ol ol ol { list-style-type: lower-greek; }

div.dokuwiki li.open {
  list-style-image: url(images/open.gif);
    /*list-style-type: circle;*/
}

div.dokuwiki li.closed {
  list-style-image: url(images/closed.gif);
    /*list-style-type: disc;*/
}

div.dokuwiki blockquote {
  border-left: 2px solid __border__;
  padding-left: 3px;
}

div.dokuwiki pre {
  font-family: monospace;
  font-size: 120%;
  padding: 0.5em;
  border: 1px dashed __border__;
  color: __text__;
  overflow: auto;
}

/* code blocks by indention */
div.dokuwiki pre.pre {
  background-color: __background_other__;
}

/* code blocks by code tag */
div.dokuwiki pre.code {
  background-color: __background_other__;
}

/* code blocks by file tag */
div.dokuwiki pre.file {
  background-color: __background_alt__;
}

/* filenames for file and code blocks */
div.dokuwiki dl.file,
div.dokuwiki dl.code {
    margin-top: 2em;
    margin-bottom: 2.5em;
}

div.dokuwiki dl.file dt,
div.dokuwiki dl.code dt {
    border: 1px dashed __border__;
    display: inline;
    padding: 0.1em 1em;
    margin-left: 2em;
}

div.dokuwiki dl.code dt a,
div.dokuwiki dl.file dt a {
    color: __text__;
}

div.dokuwiki dl.code dt {
    background-color: __background_other__;
    border-bottom: 1px solid __background_other__;
}

div.dokuwiki dl.file dt {
    background-color: __background_alt__;
    border-bottom: 1px solid __background_alt__;
}


/* inline code words */
div.dokuwiki code {
  font-size: 120%;
}

/* inline tables */
div.dokuwiki table.inline {
  background-color: __background__;
  border-spacing: 0px;
  border-collapse: collapse;
}

div.dokuwiki table.inline th {
  padding: 3px;
  border: 1px solid __border__;
  background-color: __background_alt__;
}

div.dokuwiki table.inline td {
  padding: 3px;
  border: 1px solid __border__;
}

/* ---------- table of contents ------------------- */

div.dokuwiki div.toc {
  margin: 1.2em 0 0 2em;
  float: right;
  width: 200px;
  font-size: 80%;
  clear: both;
}

div.dokuwiki div.tocheader {
  border: 1px solid __border__;
  background-color: __background_neu__;
  text-align: left;
  font-weight: bold;
  padding: 3px;
  margin-bottom: 2px;
}

div.dokuwiki span.toc_open,
div.dokuwiki span.toc_close {
    border: 0.4em solid __background_neu__;
    float: right;
    display: block;
    margin: 0.4em 3px 0 0;
}

div.dokuwiki span.toc_open span,
div.dokuwiki span.toc_close span {
    display: none;
}

div.dokuwiki span.toc_open {
    margin-top: 0.4em;
    border-top: 0.4em solid __text__;
}

div.dokuwiki span.toc_close {
    margin-top: 0;
    border-bottom: 0.4em solid __text__;
}

div.dokuwiki #toc__inside {
  border: 1px solid __border__;
  background-color: __background__;
  text-align: left;
  padding: 0.5em 0 0.7em 0;
}

div.dokuwiki ul.toc {
  list-style-type: none;
  list-style-image: none;
  line-height: 1.2em;
  padding-left: 1em;
  margin: 0;
}

div.dokuwiki ul.toc li {
  background: transparent url(images/tocdot2.gif) 0 0.6em no-repeat;
  padding-left: 0.4em;
}

div.dokuwiki ul.toc li.clear {
  background-image: none;
  padding-left: 0.4em;
}

div.dokuwiki a.toc:link,
div.dokuwiki a.toc:visited {
  color: __extern__;
}

div.dokuwiki a.toc:hover,
div.dokuwiki a.toc:active {
  color: __text__;
}

/* ---------------------------- Diff rendering --------------------------*/
div.dokuwiki table.diff {
  background-color: __background__;
  width: 100%;
}
div.dokuwiki td.diff-blockheader {
  font-weight: bold;
}
div.dokuwiki table.diff th {
  border-bottom: 1px solid __border__;
  font-size: 110%;
  width: 50%;
  font-weight: normal;
  text-align: left;
}
div.dokuwiki table.diff th a {
    font-weight: bold;
}
div.dokuwiki table.diff th span.user {
    color: __text__;
    font-size: 80%;
}
div.dokuwiki table.diff th span.sum {
    font-size: 80%;
    font-weight: bold;
}
div.dokuwiki table.diff th.minor {
  font-style: italic;
}
div.dokuwiki table.diff td {
  font-family: monospace;
  font-size: 100%;
}
div.dokuwiki td.diff-addedline {
  background-color: #ddffdd;
}
div.dokuwiki td.diff-deletedline {
    background-color: #ffffbb;
}
div.dokuwiki td.diff-context {
    background-color: __background_neu__;
}
div.dokuwiki table.diff td.diff-addedline strong,
div.dokuwiki table.diff td.diff-deletedline strong {
    color: red;
}

/* --------------------- footnotes -------------------------------- */

div.dokuwiki div.footnotes {
  clear: both;
  border-top: 1px solid __border__;
  padding-left: 1em;
  margin-top: 1em;
}

div.dokuwiki div.fn {
  font-size: 90%;
}

div.dokuwiki a.fn_bot {
  font-weight: bold;
}

/* insitu-footnotes */
div.insitu-footnote {
  font-size: 80%;
  line-height: 1.2em;
  border: 1px solid __border__;
  background-color: __background_other__;
  text-align: left;
  padding: 4px;
  max-width: 40%;    /* IE's width is handled in javascript */
  min-width: 5em;
}

/* overcome IE issue with one line code or file boxes which require h. scrolling */
* html .insitu-footnote pre.code,
* html .insitu-footnote pre.file {
  padding-bottom: 18px;
}

/* --------------- search result formating --------------- */
div.dokuwiki .search_result {
  margin-bottom: 6px;
  padding: 0 10px 0 30px;
}

div.dokuwiki .search_snippet {
  color: __text_other__;
  font-size: 12px;
  margin-left: 20px;
}

div.dokuwiki .search_sep {
  color: __text__;
}

div.dokuwiki .search_hit {
  color: __text__;
  background-color: __highlight__;
}
div.dokuwiki strong.search_hit {
  font-weight: normal;
}

div.dokuwiki div.search_quickresult {
  margin: 0 0 15px 30px;
  padding: 0 10px 10px 0;
  border-bottom: 1px dashed __border__;
}
div.dokuwiki div.search_quickresult h3 {
  margin: 0 0 1.0em 0;
  font-size: 1em;
  font-weight: bold;
}

div.dokuwiki ul.search_quickhits {
  margin: 0 0 0.5em 1.0em;
}

div.dokuwiki ul.search_quickhits li {
  margin: 0 1.0em 0 1.0em;
  float: left;
  width: 30%;
}

div.dokuwiki .section_highlight {
  background-color: __background_alt__ !important;
}

/* ------------------ Additional ---------------------- */

div.footerinc {
    text-align: center;
}
.footerinc a img {
    opacity: 0.5;
    border: 0;
}

.footerinc a:hover img {
    opacity: 1;
}

/* ---------- AJAX quicksearch ----------- */

div.dokuwiki div.ajax_qsearch {
  position: absolute;
  right: 237px;;
  width: 200px;
  opacity: 0.9;
  display: none;
  font-size: 80%;
  line-height: 1.2em;
  border: 1px solid __border__;
  background-color: __background_other__;
  text-align: left;
  padding: 4px;
}

/* --------- Toolbar -------------------- */
button.toolbutton {
  background-color: __background__;
  padding: 0px;
  margin: 0 1px 0 0;
  border: 1px solid __border__;
  cursor: pointer;
}

/* nice alphatransparency background except for IE <7 */
html>body button.toolbutton {
  background:  __background__ url(images/buttonshadow.png) repeat-x bottom;
}

div.picker {
  width: 250px;
  border: 1px solid __border__;
  background-color: __background_alt__;
}

div.pk_hl {
  width: 125px;
}

button.pickerbutton {
  padding: 0px;
  margin: 0 1px 1px 0;
  border: 0;
  background-color: transparent;
  font-size: 80%;
  cursor: pointer;
}

/* ---------------  Image Details  ----------------- */

div.dokuwiki div.img_big {
  float: left;
  margin-right: 0.5em;
}

div.dokuwiki dl.img_tags dt {
  font-weight: bold;
  background-color: __background_alt__;
}
div.dokuwiki dl.img_tags dd {
  background-color: __background_neu__;
}

div.dokuwiki div.imagemeta {
  color: __text_neu__;
  font-size: 70%;
  line-height: 95%;
}

div.dokuwiki div.imagemeta img.thumb {
  float: left;
  margin-right: 0.1em;
}

